curl --request POST \
--url https://api.cadanapay.com/v1/businesses/{businessId}/kyb \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityName": "Tesla",
"entityType": "corporation",
"taxIdentificationNumber": "NN-528343998",
"incorporation": {
"date": "2025-01-01"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"websiteURL": "https://www.tesla.com",
"natureOfBusiness": "Software Development",
"sizeOfCompany": "300-400",
"sourceOfFunds": "Personal Savings",
"annualRevenue": {
"currency": "USD",
"min": 100000,
"max": 1000000
},
"expectedMonthlyTransactionVolume": {
"currency": "USD",
"min": 50000,
"max": 80000
},
"principals": [
{
"firstName": "John",
"lastName": "Doe",
"ownershipPercentage": 0.5,
"email": "john.doe@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"isExecutive": true,
"title": "CEO",
"dateOfBirth": "1990-01-15",
"identifier": {
"type": "passport",
"value": "1234567890",
"identityFileId": "file-id-123",
"identityBackPageFileId": "file-id-124",
"addressFileId": "file-id-125"
}
}
],
"articlesOfIncorporation": [
"file-id-001",
"file-id-002"
],
"bankStatements": [
"file-id-003",
"file-id-004"
],
"proofOfAddress": [
"file-id-005"
],
"taxDocuments": [
"file-id-006",
"file-id-007"
]
}
'import requests
url = "https://api.cadanapay.com/v1/businesses/{businessId}/kyb"
payload = {
"entityName": "Tesla",
"entityType": "corporation",
"taxIdentificationNumber": "NN-528343998",
"incorporation": { "date": "2025-01-01" },
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"websiteURL": "https://www.tesla.com",
"natureOfBusiness": "Software Development",
"sizeOfCompany": "300-400",
"sourceOfFunds": "Personal Savings",
"annualRevenue": {
"currency": "USD",
"min": 100000,
"max": 1000000
},
"expectedMonthlyTransactionVolume": {
"currency": "USD",
"min": 50000,
"max": 80000
},
"principals": [
{
"firstName": "John",
"lastName": "Doe",
"ownershipPercentage": 0.5,
"email": "john.doe@example.com",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"isExecutive": True,
"title": "CEO",
"dateOfBirth": "1990-01-15",
"identifier": {
"type": "passport",
"value": "1234567890",
"identityFileId": "file-id-123",
"identityBackPageFileId": "file-id-124",
"addressFileId": "file-id-125"
}
}
],
"articlesOfIncorporation": ["file-id-001", "file-id-002"],
"bankStatements": ["file-id-003", "file-id-004"],
"proofOfAddress": ["file-id-005"],
"taxDocuments": ["file-id-006", "file-id-007"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityName: 'Tesla',
entityType: 'corporation',
taxIdentificationNumber: 'NN-528343998',
incorporation: {date: '2025-01-01'},
phoneNumber: {countryCode: '1', number: '2345678901'},
websiteURL: 'https://www.tesla.com',
natureOfBusiness: 'Software Development',
sizeOfCompany: '300-400',
sourceOfFunds: 'Personal Savings',
annualRevenue: {currency: 'USD', min: 100000, max: 1000000},
expectedMonthlyTransactionVolume: {currency: 'USD', min: 50000, max: 80000},
principals: [
{
firstName: 'John',
lastName: 'Doe',
ownershipPercentage: 0.5,
email: 'john.doe@example.com',
phoneNumber: {countryCode: '1', number: '2345678901'},
isExecutive: true,
title: 'CEO',
dateOfBirth: '1990-01-15',
identifier: {
type: 'passport',
value: '1234567890',
identityFileId: 'file-id-123',
identityBackPageFileId: 'file-id-124',
addressFileId: 'file-id-125'
}
}
],
articlesOfIncorporation: ['file-id-001', 'file-id-002'],
bankStatements: ['file-id-003', 'file-id-004'],
proofOfAddress: ['file-id-005'],
taxDocuments: ['file-id-006', 'file-id-007']
})
};
fetch('https://api.cadanapay.com/v1/businesses/{businessId}/kyb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Submit KYB
Submit Know Your Business (KYB) information for verification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the business
Body
Business name
"Tesla"
Type of entity
corporation, c-corporation, s-corporation, partnership, sole proprietorship, limited liability company, non profit, other "corporation"
Tax identification number
"NN-528343998"
Incorporation details
Show child attributes
Show child attributes
Person's phone number
Show child attributes
Show child attributes
Business website URL
"https://www.tesla.com"
Description of the primary business activities and industry
"Software Development"
Size of the company
"300-400"
Source of funds
"Personal Savings"
Annual revenue range
Show child attributes
Show child attributes
Expected monthly transaction volume range
Show child attributes
Show child attributes
Address
Show child attributes
Show child attributes
Principals are individuals with ownership shares of 25% or more
Show child attributes
Show child attributes
File IDs for articles of incorporation documents
["file-id-001", "file-id-002"]File IDs for bank statements
["file-id-003", "file-id-004"]File IDs for proof of address documents
["file-id-005"]File IDs for tax documents
["file-id-006", "file-id-007"]Response
KYB information submitted successfully